"use client";

import RegisterPage from "@/components/register";
import SetCodePage from "@/components/register/SetCodePage";
import LogInPage from "@/components/register/LogInPage";
import { useState } from "react";

function LoginVerify() {
  const [isSendMsg, setIsSendMsg] = useState(false);

  return (
    <RegisterPage>
      {isSendMsg ? (
        <SetCodePage
          setIsSendMsg={setIsSendMsg}
          link={`/account/${localStorage.getItem("doctor-id")}`}
        />
      ) : (
        <LogInPage setIsSendMsg={setIsSendMsg} />
      )}
    </RegisterPage>
  );
}

export default LoginVerify;
